# vim: set ts=4 sw=4 et:

Name:           ripit
Version:        3.9.0
Release:        1.7
Summary:        Audio Ripper
Source:         http://www.suwald.com/ripit/ripit-%{version}.tar.bz2
Patch1:         ripit-ogg.patch
URL:            http://www.suwald.com/ripit/ripit.html
Group:          Productivity/Multimedia/CD/Grabbers
License:        GNU General Public License version 2 (GPL v2)
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
Requires:       cdparanoia vorbis-tools faac flac perl
Requires:       perl(CDDB_get)
Requires:       perl(WebService::MusicBrainz)
Requires:       lame wavpack ffmpeg mp4als
# not actually needed, but to make sure we do have those dependencies in our repository:
BuildRequires:  cdparanoia vorbis-tools faac flac perl
BuildRequires:  perl(CDDB_get)
BuildRequires:  perl(WebService::MusicBrainz)
BuildRequires:  lame wavpack ffmpeg mp4als
BuildArch:      noarch

%description
This Perl script makes it a lot easier to create "mp3" files from an
audio CD. RipIT is a CLI script and supports Flac, Lame, Oggenc, Faac
mp4als and Musepack. Artist and song titles are retrieved either with
the CDDB_get.pm from freedb.org or using WebService::MusicBrainz.pm from
MusicBrainz.org. It is possible to submit and edit CDDB entries at
freedb.org, submission of MusicBrainz data need a login.
Hidden tracks and ghost songs are detected and splitted into chunks of
sound, toc or inf files permit to burn the wavs with text and no gaps in
DAO mode. Different encoding formats or even the same format at
different qualities can be used at the same time and encoded into
different directories.

%prep
%setup -q
%patch1

%build

%install
%makeinstall \
    prefix="%{buildroot}%{_prefix}" \
    exec_prefix="%{buildroot}%{_prefix}" \
    mandir="%{buildroot}%{_mandir}/man1" \
    bindir="%{buildroot}%{_bindir}" \
    etcdir="%{buildroot}%{_sysconfdir}/ripit"

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc README HISTORY LICENSE
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/config
%{_bindir}/ripit
%doc %{_mandir}/man1/ripit.1%{ext_man}

%changelog
* Sat Jul 31 2010 pascal.bleser@opensuse.org
- update to 3.9.0:
  * adds options to use Musepack and ffmpeg (e.g. for apple lossless)
  * various artist styles can be detected and tags will be written accordingly
  * to manipulate the track counter in file names, use the option trackoffset
  * cue sheets can be written and detection of ISRCs for submission to Musicbrainz is supported
- changes from 3.8.3:
  * a bug concerning overly long file names in conjunction with normalize was fixed
  * another bug when using relative paths for the output directory was fixed
* Thu Dec 31 2009 pascal.bleser@opensuse.org
- update to 3.8.2:
  * solves a somehow persistent bug in which encoder qualities were not read out from the configuration file
* Sat Nov 28 2009 pascal.bleser@opensuse.org
- update to 3.8.1
* Mon Dec 31 2007 guru@unixtech.be
- updated license
- new upstream version
* Mon Aug 28 2006 guru@unixtech.be
- new package, backport from Factory
